package cron

import (
	"git.hilo.cn/hilo-common/resource/config"
	"hilo-group/cron/gift_cron"
	"hilo-group/cron/group_cron"
	"hilo-group/cron/mic_cron"
	"hilo-group/cron/user_cron"
)

func Init() {
	user_cron.LoadSvipVipNoble() // 加载用户特权
	if !config.IsMaster() {
		return
	}
	//gift_cron.SendGiftEventInit()   // 礼物消息
	//gift_cron.GiftRemark()          // 礼物消息补偿
	gift_cron.SendGiftEvent()       // 礼物事件
	mic_cron.OnMicCheck()           // 检查上麦
	mic_cron.OnMicQueue()           // 检查上麦-队列操作
	group_cron.GroupPowerExpClear() // 清理家族经验/等级
	group_cron.GroupPowerMonthRankAct()
	//group_cron.GroupInEventInit()   // 进房事件
	//group_cron.CreateGroup()      //
	group_cron.CalcGroupSupport() // 群组扶持计算
	//group_cron.CalcGroupSupport_OldData()
	group_cron.GroupCountryListSort()
}
